#include <iostream>
#include<algorithm>
using namespace std;
#include<cmath>
int main()
    {
         int n;
    cin >>n;
    int a[n];
    int b[n];
    
    for(int i=0;i<n;i++)
	{
		cin>>a[i]>>b[i];
				
	}
	sort(a,a+n);
	
	
	sort(b,b+n);
	int greska=0;
	for(int i=0;i<n;i++)
	{
		if(a[i]!=i+1)
		{
		   	greska+=abs(a[i]-i-1);
		}
		
		if(b[i]!=i+1)
		{
		   	greska+=abs(b[i]-i-1);
		}
		
		
	}
	
	cout<<greska;
	
	

	
	
	return 0;
	
	
	
	
	}